/*
    Vanilla theme for the Ubuntu-it LoCoTeam
    Copyright (C) 2015  Pietro Albini <pietroalbini@ubuntu.com>

    This program is free software: you can redistribute it and/or
    modify it under the terms of the GNU Lesser General Public
    License as published by the Free Software Foundation, either
    version 3 of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU Lesser General Public
    License along with this program.  If not, see
    <http://www.gnu.org/licenses/>.
*/

var gulp = require("gulp");
var sass = require("gulp-sass");
var postcss = require("gulp-postcss");
var autoprefixer = require("autoprefixer");

gulp.task("sass", function() {
  return gulp.src("scss/build.scss")
    .pipe(sass({
      includePaths: ['node_modules']
    }).on("error", sass.logError))
    .pipe(postcss([autoprefixer()]))
    .pipe(gulp.dest("."));
});

gulp.task("watch", function() {
  gulp.watch("scss/**/*.scss", ["sass"]);
});

gulp.task("default", function() {
  gulp.start("sass");
});
